<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Google</title>
    <!--    Css-->
    <link rel="stylesheet" href="src/css/style.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css" />
    <!--    js-->
    <link rel="stylesheet" href="src/js/js.js">
</head>
<body>
<!--Section-->
    <section class="content">
    <!--main-->
        <div class="main">
            <h1 id="title-1">G</h1>
            <h1 id="title-2">o</h1>
            <h1 id="title-3">o</h1>
            <h1 id="title-4">g</h1>
            <h1 id="title-5">l</h1>
            <h1 id="title-6">e</h1>
        </div>
        <!--main-->
        <!--input-->
        <form class="input">
            <div class="form">
                <i class="glyphicon glyphicon-user"></i>
                <input type="search" id="input-form" class="campoFrutas form-1"  name="frutas"/>
                <ul class="cestaFrutas"></ul>
            </div>
            <div class="butoes">
                <button>Pesquisa Google</button>
                <button>Sinto-me com sorte</button>
            </div>
            <div class="linguas">
                Disponibilizado pelo Google em:  <a href="ht">English</a>
                <a href="https://www.google.com/">Kiswahili</a>
                <a href="https://www.google.com/">Chichewa</a>
                <a href="https://www.google.com/">ChiShona</a>  </div>
            </div>
        </form>
        <!--input-->
    </section>
<!--section-->

<!--js-->
<script>
    function autoComplete(frutas) {

        const fruta = ['Abacaxi', 'Abacate', 'Banana', 'Cajú', 'Laranja', 'Maça', 'Papaia', 'Tangerina'];
        return fruta.filter((valor) => {
            const valorMinusculo = valor.toLowerCase()
            const frutasMinusculo = frutas.toLowerCase()

            return valorMinusculo.includes(frutasMinusculo)
        })
    }
    const campoFrutas = document.querySelector('.campoFrutas')
    const cestaFrutas = document.querySelector('.cestaFrutas')

    campoFrutas.addEventListener('input', ({ target }) => {
        const dadosDoCampo = target.value
        if(dadosDoCampo.length) {
            const autoCompleteValores = autoComplete(dadosDoCampo)
            cestaFrutas.innerHTML = `
            ${autoCompleteValores.map((value) => {
                return (
                    `<li>${value}</li>`
                )
            }).join('')}
           `
        }
    })
</script>
<!--js-->
</body>
</html>
